/* PAGE video */
#section-video {
  z-index: 1;
  margin-top: 50px;
  margin-bottom: 50px;
  padding-top: 50px;
  padding-bottom: 50px;
  background: url("../images/Hyldr-Unplugged-blur.png");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#section-video p {
  width: 50%;
  margin: 10px;
}

@media screen and (max-width: 768px) {
  #section-video p {
    width: 90%;
  }
}

.youtube-wrapper {
  z-index: 3;
  position: relative;
  width: 90%;
  max-width: 800px;
  aspect-ratio: 16/9;
  display: flex;
  justify-content: center;
  align-items: center;
}

.youtube-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
}

.video-thumbnails {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-top: 20px;
  width: 90%;
  max-width: 50%;
  flex-wrap: nowrap;
  overflow-x: auto;
}

.video-thumbnails img {
  flex: 0 0 calc(20% - 8px);
  max-width: calc(20% - 8px);
  height: auto;
  cursor: pointer;
  border-radius: 8px;
  transition: transform 0.2s ease;
}

.video-thumbnails img:hover {
  transform: scale(1.05);
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

/* Évite le scroll vertical sur petit écran */
.video-thumbnails::-webkit-scrollbar {
  display: none;
}

.video-thumbnails {
  -ms-overflow-style: none;
  scrollbar-width: none;
}


@media screen and (orientation: landscape) and (max-width: 767px) {
  .iframe-mobile {
    display: block;
  }

  .iframe-desktop {
    display: none;
  }
}